{% extends 'layout.html' %}
{% load static %}
{% load site_configs_tags %}
{% load el_pagination_tags %}
{% load thumbnail %}
{% load cache %}

{% block styles %}
    {{ block.super }}
    {% include "gallery/youtube-video-modal-styles.html" %}
{% endblock %}

{% block body_class %}page-info page-post{% endblock %}

{% block content_wrapper %}
    {% include 'web/partials/breadcrumbs.html' with path=breadcrumbs %}
    <div class="post-section">
        <div class="container">
            <div class="d-flex section-block">
                <div class="post-sidebar">
                    <div class="sidebar-btn">
                        <h3 class="title">Искать статьи по темам</h3>
                        <img src="{% static 'img/icons/systemic/down.svg' %}" alt="" class="active-arrow img-svg">
                        <img src="{% static 'img/icons/systemic/top.svg' %}" alt="" class="passive-arrow img-svg">
                    </div>
                    <div class="post-categories">
                        <a href="{% url 'articles' %}" class="category">Все статьи</a>
                        {% for category in categories %}
                            <a href="{{ category.get_absolute_url }}" class="category">{{ category.title }}</a>
                        {% endfor %}
                    </div>
                </div>
                <div class="post-content">
                    <h1 class="t-title blue">{{ article.title }}</h1>
                    {% thumbnail article.cover '350x400' as im %}
                        <div class="post-banner" style="background-image: url({{ im.url }})"></div>
                    {% endthumbnail %}
                    <a href="#" class="post-category">{{ article.category.title }}</a>
                    <div class="post-date">{{ article.created|date:'d F Y' }}</div>

                    {{ article.text|safe }}
                    {% if available_for_vote %}
                        <div class="post-rating">
                            <div class="d-flex">
                                <span>Понравилась статья?</span>
                                <div class="rating-list">
                                    <div id="reviewStars-input">
                                        <input id="star-4" type="radio" name="Рейтинг"/>
                                        <label title="Отлично" for="star-4">
                                            <img src="{% static 'img/icons/16px/wide-glass.svg' %}" alt="" class="img-svg">
                                        </label>

                                        <input id="star-3" type="radio" name="Рейтинг"/>
                                        <label title="Хорошо" for="star-3">
                                            <img src="{% static 'img/icons/16px/wide-glass.svg' %}" alt="" class="img-svg">
                                        </label>

                                        <input id="star-2" type="radio" name="Рейтинг"/>
                                        <label title="Неплохо" for="star-2">
                                            <img src="{% static 'img/icons/16px/wide-glass.svg' %}" alt="" class="img-svg">
                                        </label>

                                        <input id="star-1" type="radio" name="Рейтинг"/>
                                        <label title="Плохо" for="star-1">
                                            <img src="{% static 'img/icons/16px/wide-glass.svg' %}" alt="" class="img-svg">
                                        </label>

                                        <input id="star-0" type="radio" name="Рейтинг"/>
                                        <label title="Очень плохо" for="star-0">
                                            <img src="{% static 'img/icons/16px/wide-glass.svg' %}" alt="" class="img-svg">
                                        </label>
                                    </div>
                                </div>
                                <div class="socials">
                                    <a href="#" class="social-fb" target="_blank">
                                        <img src="img/icons/24px/Facebook.svg" class="img-svg" alt="">
                                    </a>
                                    <a href="#" class="social-vk" target="_blank">
                                        <img src="img/icons/24px/vk.svg" class="img-svg" alt="">
                                    </a>
                                    <a href="#" class="social-tw" target="_blank">
                                        <img src="img/icons/24px/icon-twitter.svg"  class="img-svg" alt="">
                                    </a>
                                </div>

                            </div>
                        </div>
                    {% endif %}
                    <div class="post-comments">
                        <form action="" class="post-comment-form">
                            <div class="comment-header">
                                <span class="title">Обсудите статью</span>
                                <span class="warning">Чтобы оставить комментарий, <button data-modal="modal_authorization" class="popup-open">авторизуйтесь</button></span>
                            </div>
                            <div class="form-group">
                                <div class="comment-input">
                                    <div class="comment-author" style="background-image: url()"></div>
                                    <textarea name="Комментарий" placeholder="Напишите комментарии" required="required"></textarea>
                                </div>
                            </div>
                            <button type="submit">Отправить</button>
                        </form>

                        <div class="comments-box">
                            <div class="comment">
                                <div class="d-flex">
                                    <div class="comment-author" style="background-image: url('img/workers/Oval.jpg')"></div>
                                    <div class="comment-author-info">
                                        <span class="name">Ирина Дубаева</span>
                                        <div class="date">24.11.18</div>
                                    </div>
                                </div>
                                <div class="comment-text">Спасибо за статью!)</div>
                            </div>
                            <div class="comment">
                                <div class="d-flex">
                                    <div class="comment-author" style="background-image: url('img/workers/Ova2l.jpg')"></div>
                                    <div class="comment-author-info">
                                        <span class="name">Олег Ковалев</span>
                                        <div class="date">23.11.18</div>
                                    </div>
                                </div>
                                <div class="comment-text">Такие бокалы и правда созданы для ценителей вина, по себе знаю что в них иначе раскрывается ароматика хорошего вина. А Ридель единственные кто такте рпвильные бокалы делает еще и современными на вид - нравится их форма.</div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
      <div class="post-slider">
            <div class="container">
                <div class="top-title">
                    <div class="slider-arrows">
                        <button id="post-prev-btn" class="prev-btn">
                            <img src="{% static 'img/icons/systemic/left.svg' %}" class="img-svg" alt="">
                        </button>
                        <button id="post-next-btn" class="next-btn">
                            <img src="{% static 'img/icons/systemic/right.svg' %}" class="img-svg" alt="">
                        </button>
                    </div>
                    <h3 class="post-slider__title t-title">Возможно, вам будет интересно</h3>
                </div>
                <div class="post-slider__box" id="post-slider-box">
                    {% for article in popular_articles %}
                        <div class="good-space">
                            <div class="post-item">
                                {% thumbnail article.cover '350x400' as im %}
                                    <a href="{{ article.get_absolute_url }}" target="_blank" class="post-img">
                                        <img src="{{ im.url }}" alt="{{ article.title }}">
                                    </a>
                                {% endthumbnail %}
                                <a href="{{ article.category.get_absolute_url }}" class="post-topic">{{ article.category.title }}</a>
                                <a href="{{ article.get_absolute_url }}" target="_blank" class="post-name">{{ article.title }}</a>
                            </div>
                        </div>
                    {% endfor %}
                </div>
            </div>
        </div>
{% endblock %}
